fmt_plusminus(3)

NAME
fmt_plusminus - write '+' or '-'

SYNTAX
#include <libowfat/fmt.h>

size_t fmt_plusminus(char *dest,signed int source);

DESCRIPTION
fmt_plusminus writes '-' to dest if source is negative, '+' if source is positive, nothing otherwise. It returns the number of bytes written.

fmt_plusminus does not append \0.

If dest equals FMT_LEN (i.e. is zero), fmt_plusminus returns the number of bytes it would have written.

SEE ALSO
fmt_minus(3), scan_plusminus(3)